Bug 1311753 - man page of gcm-calibrate is incomplete
man page of gcm-calibrate is incomplete
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-color-manager (Show other bugs)
27
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-24 17:11 EST by Stephen
Modified: 2017-11-18 07:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen 2016-02-24 17:11:59 EST
* The gcm-calibrate man page uses the text "gcm-import" everywhere instead of "gcm-calibrate" (though description and other text seems to otherwise describe gcm-calibrate)
* The man page doesn't specify necessary options - running "gcm-calibrate" on its own returns "No device was specified!", but how to specify the device is not detailed in the man page. "gcm-calibrate --help" does contain minimum usage info, so putting at least the output of that command in the man page would be very useful.
Comment 1 Fedora End Of Life 2016-11-24 10:45:18 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Stephen 2016-12-17 07:02:54 EST
In F25 it now correctly refers to gcm-calibrate instead of gcm-import, but is still completely useless:


    NAME
           gcm-calibrate - GNOME Color Manager Calibrator Tool

    SYNOPSIS
           gcm-calibrate [ --verbose ]

    DESCRIPTION
           This manual page documents briefly the gcm-calibrate command.

           gcm-calibrate allows you calibrate devices.

    SEE ALSO
           gcm-viewer

           gnome-control-center

    AUTHOR
           This manual page was written by Richard Hughes <richard@hughsie.com>.


(Note missing mandatory --device/-d switch etc.)
Comment 3 Fedora End Of Life 2017-11-16 14:46:27 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Stephen 2017-11-18 07:34:30 EST
Unfixed in 3.26.x.

Upstream: https://bugzilla.gnome.org/show_bug.cgi?id=790532

Note You need to log in before you can comment on or make changes to this bug.